catalog.media.attach
Attach a media reference to a product or a SKU.
- Scope:
catalog.product.write - System: no
- Reachable from:
POST /v1/commands/catalog.media.attach(tenant credential) · MCP toolcatalog.media.attach· SDKclient.call('catalog.media.attach', …) - Events:
catalog.product.updated,catalog.sku.updated
Input (JSON Schema)
Section titled “Input (JSON Schema)”{ "properties": { "alt": { "type": "string" }, "kind": { "default": "image", "enum": [ "image", "document", "video_external" ], "type": "string" }, "owner_id": { "minLength": 1, "type": "string" }, "owner_type": { "enum": [ "product", "sku" ], "type": "string" }, "position": { "maximum": 9007199254740991, "minimum": -9007199254740991, "type": "integer" }, "provider_key": { "minLength": 1, "type": "string" }, "role": { "type": "string" } }, "required": [ "owner_type", "owner_id", "provider_key" ], "type": "object"}Result (200)
Section titled “Result (200)”Open (unknown) — this command does not declare an output schema.
Errors
Section titled “Errors”validation_failed (400) · unauthorized (401) · forbidden (403) · conflict (409) · internal (500)